import * as ts from 'typescript';
export declare class Collection<T extends ts.Node> {
    private root;
    private _nodes;
    static createRootCollection(root: ts.SourceFile): Collection<ts.SourceFile>;
    private constructor(nodes, root);
    find(kind: ts.SyntaxKind.Identifier): Collection<ts.Identifier>;
    replaceWith(fn: (node: T) => T): Collection<T>;
    readonly nodes: T[];
    toSource(): string;
}
