"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const identifiers_test_transform_1 = require("./identifiers.test-transform");
const index_1 = require("./index");
test('run identifiers.transform', () => __awaiter(this, void 0, void 0, function* () {
    const inputPath = path_1.join(process.cwd(), 'src', '__fixtures__', 'identifiers.ts');
    const result = yield index_1.applyTransforms(inputPath, [identifiers_test_transform_1.default]);
    expect(result.trim()).toBe('export function tset(): void {}');
}));
